; AGRIP AudioQuake Windows Setup Script
; Created with Inno Setup and the tools found in its QuickStart Pack.
; Copyright 2004-2007 Matthew Tylee Atkinson
; Released under the GNU General Public Licence v2
; See ``COPYING'' for details.

; Information on the #define directives that alter the installer's behaviour...
; These settings are used to determine what is included in the installer and
; how it is compressed.  Three versions of the installer need to be made, as
; follows.
;   1. A version without SAPI and the voices.
;       This is for people who already have SAPI and the voices they require.
;   2. A version with the SAPI voices for XP.
;       This installs Mike and Mary on XP boxes (which already have SAPI).
;   3. A version with SAPI and the voices.
;       This is for Windows 2000, which doesn't have a recent enough SAPI.
; The #define directives below may be commented in/out to change the behaviour
; of the setup.exe compilation.  Only one of the INCLUDE_ directives should be
; enabled at any one time.
;   DEBUG - should never need to be used; it compiles without compression for
;           quick testing of setup.exe files.
;   INCLUDE_SXP - includes the Mike and Mary SAPI voices for XP.
;   INCLUDE_SAPI - includes a complete SAPI installation for Windows <XP.

; The definitions themselves...
;#define DEBUG
;#define INCLUDE_SXP
;#define INCLUDE_SAPI
; General info -- there should be no need to edit this as it is created by the
; build script (make-release and friends) from our Subversion repository.
#define agOrg "AGRIP"
#define agAppVer "0.3.0.1"
#define agAppRelName "``FIXME''"
#define agAppName "AudioQuake"
#define agAppCR " 2004-2007 Matthew Tylee Atkinson, Sabahattin Gucukoglu"


[Setup]
AppName={#agOrg} {#agAppName}
AppVerName={#agAppName} {#agAppVer} {#agAppRelName}
DefaultDirName={pf}\{#agAppName}
VersionInfoVersion=1.0
VersionInfoCompany={#agOrg}
VersionInfoDescription={#agOrg} Setup Program
VersionInfoTextVersion=1.0
AppSupportURL=http://www.agrip.org.uk/CommunityResources
#ifndef DEBUG
Compression=lzma/ultra
SolidCompression=true
InternalCompressLevel=ultra
#else
Compression=none
#endif
InfoAfterFile=.\{#agAppName}-README.txt
AppPublisher={#agOrg}
AppPublisherURL=http://www.agrip.org.uk/
AppVersion={#agAppVer}
AppCopyright={#agAppCR}
UsePreviousAppDir=false
DefaultGroupName={#agAppName}
DisableProgramGroupPage=true
LicenseFile=.\LEGALINFO.txt
OutputDir=.

; A bug in the extension that downloads things means that we can't do the following...
;DisableReadyPage=yes

#ifdef INCLUDE_SAPI
OutputBaseFilename=..\{#agAppName}-{#agAppVer}_Setup+SAPI+Voices
#elif Defined INCLUDE_SXP
OutputBaseFilename=..\{#agAppName}-{#agAppVer}_Setup+Voices
#else
OutputBaseFilename=..\{#agAppName}-{#agAppVer}_Setup
#endif


[Code]
// Function generated by ISTool.
function NextButtonClick(CurPage: Integer): Boolean;
begin
	Result := istool_download(CurPage);
end;


[Files]
Source: .\*; DestDir: {app}; Flags: recursesubdirs; Excludes: tmpQuArK, QUAKE.EXE, id1\pak0.pak, id1\pak1.pak, id1\pak2.pak, glquake, setup.iss, *~
#ifdef INCLUDE_SAPI
Source: ..\AGRIP_MSM_Installers\AGRIP SAPI Installer.msi; DestDir: {tmp}; Tasks: sapi
#elif Defined INCLUDE_SXP
Source: ..\AGRIP_MSM_Installers\AGRIP SAPI XP Installer.msi; DestDir: {tmp}; Tasks: sapi_xp
#endif


[Dirs]
Name: {app}\mindgrid-audio_quake_2003.09.22; Tasks: mindgrid
Name: {app}\id1; Tasks: mindgrid


[Tasks]
#ifdef INCLUDE_SAPI
Name: sapi; Description: Install SAPI 5.1 and Voices; GroupDescription: SAPI 5.1
#elif Defined INCLUDE_SXP
Name: sapi_xp; Description: Install Mary and Mike Voices for Windows XP; GroupDescription: Extra SAPI Voices for Windows XP
#endif
Name: sw; Description: Download and Install Shareware Quake Demo (8.7MB); Flags: unchecked; GroupDescription: Shareware Quake Demo (Non-Retail Owners Only)
Name: mindgrid; Description: Download and Install mindgrid:audio Quake Sounds (22MB); GroupDescription: mindgrid:audio (Highly Recommended!)
Name: activeperl; Description: Download and Install ActivePerl if you haven't already got it (16M); GroupDescription: ActivePerl, required by the Game Launcher


[Run]
#ifdef INCLUDE_SAPI
Filename: msiexec.exe; Parameters: "/q /i ""{tmp}\AGRIP SAPI Installer.msi"""; StatusMsg: Installing SAPI 5.1 and Voices...; Tasks: sapi
#elif Defined INCLUDE_SXP
Filename: msiexec.exe; Parameters: "/q /i ""{tmp}\AGRIP SAPI XP Installer.msi"""; StatusMsg: Installing Mary and Mike Voices for Windows XP...; Tasks: sapi_xp
#endif
Filename: {app}\unzip.exe; Parameters: -o {tmp}\quake-shareware-1.06.zip; WorkingDir: {app}; StatusMsg: Extracting Quake Shareware Demo...; Flags: runminimized; Tasks: sw
Filename: {app}\unzip.exe; Parameters: -o {tmp}\mindgrid-audio_quake_2003.09.22.zip; WorkingDir: {app}\mindgrid-audio_quake_2003.09.22\; StatusMsg: Extracting mindgrid:audio Quake Sounds...; Flags: runminimized; Tasks: mindgrid
Filename: msiexec.exe; Parameters: "/qb /i ""{tmp}\ActivePerl-5.8.8.822-MSWin32-x86-280952.msi"" PERL_PATH=Yes PERL_EXT=Yes"; StatusMsg: Installing ActivePerl; Tasks: activeperl


[UninstallRun]
; Uninstall the SAPI Package...
#ifdef INCLUDE_SAPI
Filename: msiexec.exe; Parameters: /qn /x {{7D784B92-0583-4C37-8C38-E0F25BEA3C5D}; StatusMsg: Uninstalling SAPI 5.1 and Voices...; Tasks: sapi
#endif
; Uninstall the SAPI XP Voices Package...
#ifdef INCLUDE_SXP
Filename: msiexec.exe; Parameters: /qn /x {{A30865DD-4E2B-450A-A832-28836CE13E9D}; StatusMsg: Uninstalling Mary and Mike Voices for Windows XP...; Tasks: sapi_xp
#endif


[Icons]
Name: {group}\Support Website; Filename: {app}\support.url
Name: {group}\AudioQuake Stats and Servers Website; Filename: {app}\stats.url
Name: {group}\Launch {#agAppName}; Filename: C:\Perl\bin\perl.exe; Parameters: start.pl; WorkingDir: {app}
Name: {group}\Standalone Remote Administration Console; Filename: C:\Perl\bin\perl.exe; Parameters: rcon.pl; WorkingDir: {app}
Name: {group}\{#agAppName} User Manual; Filename: {app}\user-manual\index.html
Name: {group}\README file; Filename: {app}\AudioQuake-README.txt
Name: {group}\Legal Information; Filename: {app}\LEGALINFO.txt
Name: {group}\Dedicated Server (for Admins); Filename: {app}\zqds.exe; WorkingDir: {app}
Name: {group}\AudioQuake Folder; Filename: {app}
Name: {group}\Uninstall {#agAppName}; Filename: {app}\unins000.exe


[Messages]
UninstalledAll=%1 was successfully removed from your computer.%n%nPlease note that your Registered or Shareware Quake data (as well as mindgrid:audio and ActivePerl, if installed) has been left intact.  This means that you won't have to re-download or re-extract them if you choose to re-install {#agAppName} again in the future.  If you want to do so for whatever reason, you may safely delete the installation folder (and remove ActivePerl via Add/Remove Programs in Control Panel).


[_ISToolDownload]
Source: http://tylee.f2s.com/agrip/shareware/quake-shareware-1.06.zip; DestDir: {tmp}; DestName: quake-shareware-1.06.zip; Tasks: sw
Source: http://tylee.f2s.com/agrip/mindgrid/mindgrid-audio_quake_2003.09.22.zip; DestDir: {tmp}; DestName: mindgrid-audio_quake_2003.09.22.zip; Tasks: mindgrid
Source: http://downloads.activestate.com/ActivePerl/Windows/5.8/ActivePerl-5.8.8.822-MSWin32-x86-280952.msi; DestDir: {tmp}; DestName: ActivePerl-5.8.8.822-MSWin32-x86-280952.msi; Tasks: activeperl


[Registry]
Root: HKCR; SubKey: .qmod; ValueType: string; ValueData: QMOD; Flags: uninsdeletekey
Root: HKCR; SubKey: QMOD; ValueType: string; ValueData: Quake Modification Setup File; Flags: uninsdeletekey
Root: HKCR; SubKey: QMOD\Shell\Open\Command; ValueType: string; ValueData: """C:\Perl\bin\perl.exe"" -I""{app}"" -- ""{app}\start.pl"" ""install"" ""{app}"" ""%1"""; Flags: uninsdeletevalue
Root: HKCR; Subkey: QMOD\DefaultIcon; ValueType: string; ValueData: {app}\zquake-vidnull.exe,0; Flags: uninsdeletevalue


; == END of setup.iss ==
